Loading...
Searching...
No Matches
gridfire::exceptions::SolverError Class Reference

Base class for all exceptions related to solver operations. More...

`#include <error_solver.h>`

Inheritance diagram for gridfire::exceptions::SolverError:
[legend]
Collaboration diagram for gridfire::exceptions::SolverError:
[legend]

## Private Member Functions

| GridFireError (std::string msg)

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for all exceptions related to solver operations.

This exception is the parent for more specific solver-related errors. Catching this type will catch any exception originating from the solver system.

## Member Function Documentation

## GridFireError()

gridfire::exceptions::GridFireError::GridFireError | ( | std::string | msg | ) |

inlineexplicitprivate

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_solver.h